Subject: [MIB-DOCTORS] RE: Last Call for the ifType References table (was: RE: IfType re ferences)

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 1 Aug 2006 14:06:24 +0200

Keith, finally (after vacation and soime travel) I am getting back to
this topic. You wrote:
> > http://www.ops.ietf.org/IfTypeReferences.html
> > 
> > Please answer until Monday, June 12 COB at all time zones on the 
> > mreview list at the following questions:
> > 
> > 1. Do you believe that this table is useful, should be made publicly 
> > available and maintained on the OPS area Web pages.
> > 2. If the answer at #1 is positive, please check the content of the 
> > table and provide feedback concerning the accuracy of the information 
> > that is included and what information is missing
> 
> 
> Below are corrections and a few additions to the table.  I could
> probably add more entries, but it would take more time.
> 
> If IANA keep records of their submissions, then those records will
> contain references for at least the more recent assignments.
> 
> Keith.
> ------------------------
> 
> 0. Many ifType values do not have corresponding MIB modules or "MIB OIDs".
> Even when they do, the document containing such a MIB module should be
> listed as a Reference.
> 
> 1. The reference for both regular1822(2) and hdh1822(3) is:
> 
>    "Specifications for the Interconnection of a Host and an IMP",
>    Bolt Beranek and Newman (BBN) Report No. 1822, December 1981.
> 
> also known as: NIC 7958, and referenced by RFCs 270, 716, 878.
> 

So for above, I think we do not know a MIB module or an OID, right?

> 2. The reference for ddnX25(4) and rfc877x25(5) is RFC 1382, 
> which says:
> 
>           -- ifType: ddn-x25 or rfc877-x25
>           --      an interface of type ddn-x25 will use an algorithm to
>           --      translate between X.121 address and IP addresses.
>           --      An interface of type rfc877-x25 will use a
>           --      configuration table to translate between X.121
>           --      addresses and IP addresses.
> 

So does that mean that for both, the MIB OID is transmission.5 and 
the MIB for both is RFC1382-MIB?
I believe so, but want to check/verify first, before I add it to the table.

> 3. The reference for iso88024-tokenBus(8) is RFC 1230.
> 
> 4. The reference for sdlc(17) is RFC 1747.
> 
> 5. RFC 1694 is a later (than RFC 1304) reference for 
> 'sip(31)', and RFC 2325 is needed as a reference if "coffee"
> is included in the row.
> I suggest it would be useful to expand the acronym to be: SIP (SMDS
> Interface Protocol), but perhaps that negates the reference 
> to "coffee" ??
> 

Hmmmm 2325 is an April 1st RFC. Should we list it at all?
Cause I do not think that the sip IfType applies at all, it is more of
a joke and might confuse people who do not understand the APril 1st RFCs.

So I'd prefer to just list 1694.

> 6. RFC 3592 is the reference for:
> 
>            sonet(39)        -- SONET/SDH Medium/Section/Line
>            sonetPath(50)    -- SONET/SDH Path
>            sonetVT(51)      -- SONET/SDH Virtual Tributary/Virtual
> Container
> 
> 7. The row for ifType=45 is incorrect.  RFC 1659 says:
> 
>    The RS-232-like MIB is relevant for ifType values 
> rs232(33), v35(45),
>    and perhaps others.
> 
Mmm... RFC2020 claims:

  Instances of these object types represent attributes of an interface
  to an IEEE 802.12 communications medium.  At present, IEEE 802.12
  media are identified by one value of the ifType object in the
  Internet-standard MIB:

     ieee80212(55)

  For this interface, the value of the ifSpecific variable in the MIB-
  II [5] has the OBJECT IDENTIFIER value:

     dot12MIB    OBJECT IDENTIFIER ::= { transmission 45 }

Could that be wrong and maybe it needs to be transmission 55 ?
But the MIB MODULE itself DOES use transmission 45.

My proposal is:

  add a row for ifType 55, and let have transmission.45 and point to RFC2020.

  change row 45 to be transmission.33 and let it point to RFC1659

  add a comment to row 33: transmission.33 also used for v35(45)

Sounds OK?

> 8. The row for ifType=46 is incorrect.  RFC 2320 is not a 
> reference for
> 'hssi'; the closest to a reference I can find for HSSI is RFC 1662.
> 

I am NOT OK to change it to RFC1662, because I doubt it helps anyone, does it?
Maybe better to leave it open for now.

and then add a row for ifType 144 that points to 1662 I think!?

> 
> 9. The row for ifType=49 is incorrect.  RFC 2515 is the reference for
> both of:
> 
>     atm(37)           -- ATM cell layer
>     aal5(49)          -- ATM AAL5 layer
> 

RFC2515 also talks about ifType 53 : propVirtual(53),    
The MIB in 2515 (ATM-MIB) is registered as mib-2.37

Mmm... RFC3498 DOES assign transmission.49
But it is for ifType sonet(39), or at least the APS-MIB seems to say so
several times.
Wow... have we screwed up in the past I guess.

But then, the SONET-MIB (RFC3592) claims to be for ifTypes 
       sonet (39), sonetPath (50), sonetVT (51)

and does have as MIB oid: transmission.39

So I think I need to:
  add to row for ifType 39 a ptr to RFC3498 in addition to  RFC3592
  add rows for ifType 50 and 51
  fix some comments and ptrs

> 10. The row for ifType=53 is incorrect.  The SMON-MIB refers to that
> ifType value, but it is not the reference for it; 
> specifically, RFC 2613 says:
> 
>    The SMON MIB utilizes the propVirtual(53) ifType defined in the
>    Interfaces Group MIB [22] to provide SMON and RMON with new
>    dataSources such as VLANs and internal monitoring points. 
> 
> and RFC 2515 specifies the use of propVirtual(53) "for proprietary
> virtual, internal interface[s] associated with [ATM] AAL entities".
> 
> So, other uses of propVirtual(53) have been explicitly specified.  Also,
> other ifType values have since been defined for standards-based VLANs.
> 

so ifType-53 should point to RFC2515 I guess?

> 11. The reference for ieee80212(55) is RFC 2020, containing the
> DOT12-IF-MIB.
> 

ack
but the MIB oid is transmission.45 no matter how unhappy that may make us

> 12. RFC 2127 is the reference for:
> 
>    The ifType for a Terminal Endpoint can be isdn(63) for ISDN signaling
>    channels or x25ple(40) for X.25 based packet mode services.  The
>    ifType for D channel Data Link Layer (LAPD) interfaces is lapd(77).
>    The ifType for B channels is ds0(81).  The ifType for physical
>    interfaces is the matching IANA ifType, usually ds1(18) for Primary
>    Rate interfaces or isdns(75)/isdnu(76) for Basic Rate interfaces.
> 
>        isdn(63)        -- ISDN Terminal endpoint (ISDN signaling channel)
>        isdns(75)       -- ISDN 'S/T' (aka 'Four-wire Basic Access Interface')
>        isdnu(76)       -- ISDN 'U' (aka 'Two-wire Basic Access Interface')
>        lapd(77)        -- ISDN D channel Data Link Layer (LAPD)
> 

OK, will update

> 13. The rows for ifType values, basicISDN(20) and primaryISDN(21) are
> incorrect.  These ifType values are (implicitly) obsoleted by 
> RFC 2127, because it says:
>                                           ...  The ifType for physical
>    interfaces is the matching IANA ifType, usually ds1(18) for Primary
>    Rate interfaces or isdns(75)/isdnu(76) for Basic Rate interfaces.
> 

Well, rfc2127 talks about a lot of ifTypes!!!
It DOES assign transmission.20 to the ISDN-MIB
So it seems we need to figure out how to represent that.
I need to run now... 

Sending this for now... Will do more follow up later.
A response to the above would be good for now.

Bert

> 14. RFCs 1382 and 2127 are references for:
> 
>         x25ple(40)      -- X.25 Packet Level Entity
> 
> 15. Both RFCs 2494 and 2127 are references for:
> 
>         ds0(81)        -- Digital Signal Level 0
> 
> 16. The references for ip(126) are RFCs 2353, 2455 and 2584.
> 
> 17. RFC 2662 is the reference for each of these:
> 
>        adsl(94)               -- Asymmetric Digital Subscriber Loop
>        adslInterleave(124)    -- ADSL Interleaved Channel
>        adslFast(125)          -- ADSL Fast Channel
> 
> RFC 3440 is another reference for adsl(94).
> RFC 3728 is another reference for adslInterleave(124) and 
> adslFast(125).
> 
> 18. It is unnecessarily premature to list an I-D for
> docsCableMaclayer(127).
> Instead, RFC 2670 is the reference for:
> 
>         docsCableMaclayer(127)     -- CATV MAC Layer
>         docsCableDownstream(128)   -- CATV Downstream interface
>         docsCableUpstream(129)     -- CATV Upstream interface
> 
> 19. The reference for:
> 
>         aflane8023(59)     -- ATM Emulated LAN for 802.3
>         aflane8025(60)     -- ATM Emulated LAN for 802.5
> 
> is:
>     "LAN Emulation Over ATM, Version 1.0", af-lane0021.000,
>     ATM Forum, Jan 1995.
> 
> 20. RFC 3020 is the reference for:
> 
>        frf16MfrBundle(163)    -- FRF .16 Multilink Frame Relay 
> 
> 21. RFC 3201 is the reference for:
> 
>         frDlciEndPt(193)      -- Frame Relay DLCI End Point
>         atmVciEndPt(194)      -- ATM VCI End Point
> 
> 22. RFC 4319 is the reference for:
> 
>         hdsl2(168)            -- High Bit-Rate DSL, 2nd generation
>         shdsl(169)            -- Multirate HDSL2
> 
> 23. RFCs 1990 and 3371 are partial references for:
> 
>         pppMultilinkBundle(108)    -- PPP Multilink Bundle
> 
> 24. RFC 3591 is the reference for:
> 
>      opticalChannel(195)  --  Optical Transport Network (OTN) Optical
> Channel
>      opticalTransport(196) -- Optical Transport Network (OTN) Optical
>                            -- Transmission Section/Optical Multiplex
> Section 
>      opticalChannelGroup(219) -- Optical Transport Network 
> (OTN) Optical
>                               -- Channel Group
> 
> 25. RFC 3606 is the reference for:
> 
>         atmLogical(80)     -- ATM Logical Port
> 
> 26. RFC 3635 specifies that fastEther(62), fastEtherFX(69) and
> gigabitEthernet(117) are obsolete.
> 
> 27. RFC 3812 is a reference for mpls(166) and mplsTunnel(150).
> RFCs 3811 and 3813 are also references for mpls(166).
> 
> 28. RFCs 3728, 4069 and 4070 are references for vdsl(97).
> 
> 29. RFC 4044 is the reference for fcipLink(224).
> 
> 30. The row for ifType=230 is incorrect.  The reference for adsl2(230)
> is draft-ietf-adslmib-adsl2-07.txt
> 
> 31. The rows for these ifType values have the wrong reference (I don't
> know the correct reference):
> 
>         47, 95, 146, 228, 229
> 
> 32. The reference for ocsCableUpstreamChannel(205) is
> draft-ietf-ipcdn-docs-rfmibv2-14.txt
> 
> 33. Presumably, RFC 1483 is the reference for:
> 
>            rfc1483(159)         -- Multiprotocol over ATM AAL5
> 
> 34. The row for ifType=48 is incorrect.  RFC 4319 is not for 
> a "generic
> modem".
> 
> 25. RFC 2320 is a reference for ipOverAtm(114).
> 
> 

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors